using System.Web.UI;

namespace Sex
{
    public partial class Sex : System.Web.UI.Page
    {
        public class ListAttributes : MyList
        {
            public ListAttributes(State MyState)
                : base(MyState, "List of file or directory attributes")
            {
                Add("A", "Archive");
                Add("C", "Compressed");
                Add("D", "Directory");
                Add("E", "Encrypted");
                Add("H", "Hidden");
                Add("I", "Indexed");
                Add("N", "Normal");
                Add("O", "Offline");
                Add("P", "Reparse Point");
                Add("R", "Read Only");
                Add("S", "Sparse File");
                Add("T", "Temporary");
                Add("X", "Device");
                Add("Y", "System");                
            }
        }
    }
}